<template>
  <Head>
    <!-- <Title>test</Title> -->
    <Title>{{ tdk.tdk_title }}</Title>
    <Meta name="keywords" :content=tdk.tdk_keyword />
    <Meta name="description" :content=tdk.tdk_description  />
  </Head>

  <h1>{{ contactInfo }}</h1>
  <h2>{{ tdk }}</h2>
</template>

<script setup>

let contactInfo = ref({})

const headers = useRequestHeaders(['cookie'])
let tdk = ref({})

onMounted(async () => {
  // 带请求头
  // let data = useFetch('/api/contactUs/getContactInfo',{headers})

  // let contactInfoData = await useFetch('/api/contactUs/getContactInfo', { headers })

  // contactInfo.value = JSON.parse(contactInfoData.data.value)

})
useFetch('/api/tdk/getTdk', { params: { tdk_type: "index" } }).then(res => {
  tdk.value = JSON.parse(res.data.value).data
})

</script>
